Status: Closed Priority: Should have
Author: Adrian Föder Category: I18n
Created: 2013-07-01 Assigned To:
Updated: 2013-07-15 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Non-plural translations are not found if arguments are used
Description

A simple translation which is not meant for handling plurals is not correctly resolved when used with arguements, for example,

<f:translate id="someId" arguments="{0: 2500}" />

does not resolve correctly. The error appears in \TYPO3\Flow\I18n\Translator::translateById where the $pluralForm equals to 'other'
as soon as arguments are set (that's the distant observation so far, have to dig deeper).

Related issues:
duplicates TYPO3.Flow - Bug # 45062: TranslateViewHelper fails if an array wi... Resolved 2013-02-01

History
#1 - 2013-07-01 16:19 - Adrian Föder

the actual reason is, that \TYPO3\Flow\I18n\Translator::getPluralForm per convention takes arguments' first item, if it's the only one and numeric, as
quantity. So the above mentioned example is such a case where this problem occurs.

What could we do here?

#2 - 2013-07-01 16:19 - Adrian Föder
- Status changed from Accepted to Needs Feedback
- Assigned To deleted (Adrian Föder)

#3 - 2013-07-03 23:20 - Alexander Berl

See duplicated bug #45062, the fix is already accepted and only needs to get merged.

#4 - 2013-07-04 09:21 - Adrian Föder
- Status changed from Needs Feedback to Closed

closed as being duplicate of #49545
Thanks Alex for the notice!

#5 - 2013-07-15 10:03 - Bastian Waidelich
Adrian Föder wrote:

closed as being duplicate of #49545

duplicate of -> #45062 ;)
